<?php

namespace App\Console\Commands;

use App\Jobs\SyncronizeSIMBG;
use App\Services\ServiceSIMBG;
use Illuminate\Console\Command;
use \Illuminate\Support\Facades\Log;

class ExecuteScraping extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:execute-scraping';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Execure scraping service daily every 12 pm';

    /**
     * Execute the console command.
     */

    private $service_simbg;

    public function __construct(){
        parent::__construct();
    }
    public function handle()
    {
        SyncronizeSIMBG::dispatch()->onQueue('default');
        Log::info("running scheduler daily scraping");
    }
}
